6.10.3 prerelease

Yusaku Hashimoto nonowarn at gmail.com
Wed May 6 18:33:45 EDT 2009


>> Running Haddock for base-
>> Warning: The documentation for the following packages are not
>> installed. No
>> links will be generated to these packages: rts-1.0
>> i686-apple-darwin8-gcc-4.0.1: Internal error: Virtual timer expired
>> (program cc1)
> Hmm, is that repeatable?


It is occur when making doc.library.whatever in $TOPDIR/library.

It seemed to be SIGVTALRM for schedular is gotten by child process.  
But I couldn't write smaller example to repeat it.

So I wrapped gcc with blocking almost all signals before forking, It  
just worked.

> And if so, does it happen if you try to build 6.10.2?

Yes. Same error appeared.

> Building the pre-release on OS X 10.5 (to make the installer)  
> worked for
> me.

I envy you, Should I upgrade OS? :P


More information about the Glasgow-haskell-users mailing list